package seng302.DataInput;

import seng302.Model.Boat;
import seng302.Model.CompoundMark;
import seng302.Model.GPSCoordinate;
import seng302.Model.Leg;

import java.time.ZonedDateTime;
import java.util.List;

/**
 * Created by connortaylorbrown on 19/04/17.
 */
public interface RaceDataSource {
    List<Boat> getBoats();

    List<Leg> getLegs();

    List<GPSCoordinate> getBoundary();

    List<CompoundMark> getCompoundMarks();

    int getRaceId();

    String getRaceType();

    ZonedDateTime getZonedDateTime();

    GPSCoordinate getMapTopLeft();

    GPSCoordinate getMapBottomRight();
}
